//----------------------------------------------------------------------------
//  Project Test_At3dx_Dll
//  MicroMouse Productions
//  Copyright  1999-2012. All Rights Reserved.
//  Author: Wayne Hogue
//----------------------------------------------------------------------------
#ifndef TestDllH
#define TestDllH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>

//---------------------------------------------------------------------------
class TTest_At3dx_DllForm : public TForm
{
__published:	// IDE-managed Components
  TPageControl *PageControl1;
  TTabSheet *ReadSheet;
  TTabSheet *WriteSheet;
  TButton *Write;
  TButton *Clear;
  TButton *Read;
  TGroupBox *GroupBox2;
  TGroupBox *GroupBox3;
  TTabSheet *TransferSheet;
  TCheckBox *OutputQuads;
  TTabSheet *AlignSheet;
  TButton *AlignActivate;
  TButton *PresetNormals;
  TCheckBox *AlignShowAll;
  TCheckBox *AlignFlipOne;
  TButton *SetAlignLayer;
  TEdit *AlignName;
  TTabSheet *TextSheet;
  TGroupBox *Font;
  TButton *TextSelectFont;
  TButton *TextFontDirectory;
  TEdit *TextFontName;
  TGroupBox *TextOn;
  TRadioButton *TextOneLayer;
  TRadioButton *TextMultipleLayers;
  TCheckBox *TextCreateStencil;
  TCheckBox *TextPlusCore;
  TGroupBox *DText;
  TLabel *PointsCurveLabel;
  TLabel *TextHeightLabel;
  TLabel *TextBorderLabel;
  TButton *TextPointsDown;
  TButton *TextPointsUp;
  TEdit *TextHeight;
  TEdit *TextBorder;
  TCheckBox *TextJoin;
  TCheckBox *TextFace;
  TCheckBox *TextExtrude;
  TEdit *TextPoints;
  TCheckBox *TextReduceVertices;
  TGroupBox *GroupBox4;
  TEdit *TextEdit;
  TButton *ConvertText;
  TLabel *Label1;
  TEdit *TextDepth;
  TButton *MergeObjects;
  TButton *ShowSecurity;
  TButton *MergeVertices;
  TButton *DeleteLayer;
  TCheckBox *OutputUV;
  TButton *BufferRead;
  TButton *BufferWrite;
  TCheckBox *RemoveFaces;
  TTabSheet *ViewSheet;
  TGroupBox *GroupBox1;
  TButton *ShowWindow;
  TButton *HideWindow;
  TButton *MoveWindow1;
  TButton *MoveWindow2;
  TButton *SizeWindow1;
  TButton *SizeWindow2;
  TButton *OnTopYes;
  TButton *OnTopNo;
  TButton *UseWires;
  TButton *UseBBox;
  TButton *Parallel;
  TButton *Perspective;
  TButton *XYZOn;
  TButton *XYZOff;
  TButton *MakeQuads;
  TButton *DeleteQuads;
  TButton *ShowQuads;
  TButton *HideQuads;
  TButton *DepthBufferOn;
  TButton *DepthBufferOff;
  TGroupBox *GroupBox5;
  TCheckBox *UseOpenGL;
  TButton *OglLightsMaterials;
  TPanel *Panel1;
  TSpeedButton *ViewSolid;
  TSpeedButton *DrawWireframe;
  TSpeedButton *ViewTop;
  TSpeedButton *ViewLeft;
  TSpeedButton *ViewFront;
  TSpeedButton *ViewBottom;
  TSpeedButton *ViewShaded;
  TSpeedButton *ViewRight;
  TSpeedButton *ViewBack;
  TCheckBox *HiddenWireframe;
  TButton *ParentWindow;
  TButton *UnparentWindow;
  TLabel *Label2;
  TEdit *TriQuadNormalAngle;
  TCheckBox *DisplayTextures;
  TCheckBox *OglReplace;
  TCheckBox *UseWhiteBase;
  TButton *MakeSmooth1;
  TButton *EraseSmooth1;
  TButton *MakeSmooth2;
  TButton *EraseSmooth2;
  TCheckBox *OutputVNormals;
  TComboBox *InCombo;
  TComboBox *OutCombo;
  TCheckBox *TwoSidedLighting;
  TCheckBox *CullBackFaces;
  TCheckBox *Save2DLines;
  TComboBox *RenderCombo;
  TGroupBox *GroupBox6;
  TEdit *CameraXAngle;
  TEdit *CameraYAngle;
  TEdit *CameraZAngle;
  TButton *GetCameraAngles;
  TButton *SetCameraAngles;
  TEdit *CameraStepAngle;
  TButton *SetCameraXAngle1;
  TButton *SetCameraYAngle1;
  TButton *SetCameraZAngle1;
  TButton *SetCameraXAngle2;
  TButton *SetCameraYAngle2;
  TButton *SetCameraZAngle2;
  TGroupBox *GroupBox7;
  TEdit *CameraXPan;
  TEdit *CameraZPan;
  TButton *GetCameraPan;
  TButton *SetCameraPan;
  TEdit *CameraStepPan;
  TButton *SetCamerXPan1;
  TButton *SetCameraZPan1;
  TButton *SetCameraXPan2;
  TButton *SetCameraZPan2;
  TTabSheet *ObjectSheet;
  TGroupBox *GroupBox8;
  TSpeedButton *MirrorXObject;
  TSpeedButton *MirrorYObject;
  TSpeedButton *MirrorZObject;
  TGroupBox *GroupBox9;
  TLabel *Label25;
  TLabel *Label26;
  TLabel *Label24;
  TSpeedButton *RotateX1Object;
  TSpeedButton *RotateY1Object;
  TSpeedButton *RotateZ1Object;
  TSpeedButton *RotateX2Object;
  TSpeedButton *RotateY2Object;
  TSpeedButton *RotateZ2Object;
  TSpeedButton *RotateX3Object;
  TSpeedButton *RotateY3Object;
  TSpeedButton *RotateZ3Object;
  TSpeedButton *RotateXYZObject;
  TGroupBox *GroupBox10;
  TLabel *Label17;
  TLabel *Label19;
  TLabel *Label20;
  TEdit *MinXObject;
  TEdit *MinYObject;
  TEdit *MinZObject;
  TEdit *MaxXObject;
  TEdit *MaxYObject;
  TEdit *MaxZObject;
  TGroupBox *GroupBox11;
  TLabel *Label21;
  TLabel *Label22;
  TLabel *Label23;
  TSpeedButton *CopyXtoYZObject;
  TSpeedButton *CalcCenterObject;
  TSpeedButton *SetCenterObject;
  TSpeedButton *SetMin2Object;
  TSpeedButton *DoScaleObject;
  TEdit *EditXObject;
  TEdit *EditYObject;
  TEdit *EditZObject;
  TSpeedButton *SetMin1Object;
  TButton *SetMin3Object;
  TButton *GetMinMaxObject;
  TCheckBox *ShowReadMessages;
  TCheckBox *ShowSaveMessages;
  TTabSheet *DefaultSheet;
  TButton *ClearDefaultMaterials;
  TButton *GetDefaultMaterials;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Label6;
  TLabel *Label7;
  TLabel *Label8;
  TLabel *Label9;
  TLabel *Label10;
  TLabel *Label11;
  TLabel *Label12;
  TLabel *Label13;
  TLabel *Label14;
  TLabel *Label15;
  TEdit *Ambient1;
  TEdit *AmbientRed;
  TEdit *AmbientGreen;
  TEdit *AmbientBlue;
  TEdit *Diffuse1;
  TEdit *DiffuseRed;
  TEdit *DiffuseGreen;
  TEdit *DiffuseBlue;
  TEdit *Specular1;
  TEdit *SpecularRed;
  TEdit *SpecularGreen;
  TEdit *SpecularBlue;
  TEdit *EmissiveRed;
  TEdit *EmissiveGreen;
  TEdit *EmissiveBlue;
  TEdit *Roughness;
  TEdit *Shininess;
  TEdit *Transparency1;
  TEdit *TransparencyRed;
  TEdit *TransparencyGreen;
  TEdit *TransparencyBlue;
  TEdit *IndexRefraction;
  TEdit *CreaseAngle;
  TLabel *Label16;
  TLabel *Label18;
  TLabel *Label27;
  TLabel *Label28;
  TLabel *Label29;
  TLabel *Label30;
  TEdit *DxfColor;
  TEdit *DoubleSided;
  TEdit *RwxGeometrySampling;
  TEdit *RwxLightSampling;
  TEdit *RwxTextureModes;
  TEdit *RwxTag;
  TGroupBox *GroupBox12;
  TComboBox *BackgroundCombo;
  TEdit *BackgroundRed;
  TEdit *BackgroundGreen;
  TEdit *BackgroundBlue;
  TButton *BackgroundGet;
  TButton *BackgroundSet;
  TGroupBox *GroupBox13;
  TButton *TransferFrom;
  TButton *FastTransferFrom;
  TButton *TransferClear;
  TButton *TransferTo;
  TButton *FastTransferTo;
  TButton *TransferFree;
  TGroupBox *GroupBox14;
  TLabel *Label31;
  TLabel *Label32;
  TLabel *Label33;
  TButton *SpecialTransferFrom;
  TButton *SpecialFastTransferFrom;
  TLabel *Label34;
  TLabel *Label35;
  TButton *SpecialTransferTo;
  TButton *SpecialFastTransferTo;
  TPanel *Panel2;
  TPanel *Panel3;
  TLabel *Label36;
  TEdit *Red;
  TEdit *Green;
  TEdit *Blue;
  TSpeedButton *ColorPicker;
  TEdit *DxfRed;
  TEdit *DxfGreen;
  TEdit *DxfBlue;
  TButton *GetDxfPen;
  TLabel *Label37;
  TLabel *Label38;
  TEdit *DxfPen;
  TCheckBox *TextureMatch;
  TCheckBox *SaveTexturePath;
  TGroupBox *GroupBox15;
  TButton *TransferGreenKnight;
  TGroupBox *GroupBox16;
  TButton *TransferTextureSquare1;
  TButton *TransferTextureSquare2;
  TButton *TransferTextureSquare3;
  TButton *TransferRedKnight;
  TButton *TransferBlueKnight;
  TRadioButton *TransferFromTypeFlag0;
  TRadioButton *TransferFromTypeFlag1;
  TRadioButton *TransferFromTypeFlag2;
  TCheckBox *SavePointClouds;
  TEdit *TriQuadEdgeAngle;
  TButton *MergeMaterials;
  TGroupBox *GroupBox17;
  TButton *CreateUV;
  TLabel *Label39;
  TLabel *Label40;
  TLabel *Label41;
  TLabel *Label42;
  TEdit *TextureCenter0;
  TEdit *TextureCenter1;
  TEdit *TextureRotation;
  TEdit *TextureScale0;
  TEdit *TextureScale1;
  TEdit *TextureTranslation0;
  TEdit *TextureTranslation1;
  TComboBox *TextureTypeCombo;
  TButton *RemoveUV;
  TButton *UVDialog;
  TButton *DoLayerFlip;
  TGroupBox *GroupBox18;
  TRadioButton *Mesh3dmf;
  TRadioButton *TriMesh3dmf;
  TRadioButton *Triangle3dmf;
  TRadioButton *Quad3dmf;
  TGroupBox *GroupBox19;
  TLabel *Label43;
  TRadioButton *TdmfPixel16;
  TRadioButton *TdmfPixel24;
  TRadioButton *TdmfPixel32;
  TGroupBox *GroupBox20;
  TButton *TransferBlueMonk;
  TButton *TransferGreenMonk;
  TCheckBox *DefaultTexture;
  TCheckBox *UseFilmstrip;
  TCheckBox *FilmstripTimer;
  TCheckBox *AutoDivideLayers;
  TLabel *Label44;
  TEdit *ColorRed;
  TEdit *ColorGreen;
  TEdit *ColorBlue;
  TCheckBox *UseAmbient1;
  TCheckBox *UseDiffuse1;
  TCheckBox *UseReflection1;
  TCheckBox *UseSpecular1;
  TCheckBox *UseTransparency1;
  TTabSheet *DemSheet;
  TPanel *Panel4;
  TButton *GetDemoInfo;
  TEdit *DemColumns;
  TEdit *DemRows;
  TEdit *DemXSpacing;
  TEdit *DemYSpacing;
  TEdit *DemMinHeight;
  TEdit *DemMaxHeight;
  TLabel *Label45;
  TLabel *Label46;
  TLabel *Label47;
  TLabel *Label48;
  TLabel *Label49;
  TLabel *Label50;
  TScrollBar *DemScrollX;
  TScrollBar *DemScrollY;
  TPanel *Panel5;
  TEdit *DemEast;
  TEdit *DemNorth;
  TEdit *DemHeight;
  TLabel *Label51;
  TLabel *Label52;
  TLabel *Label53;
  TPanel *DemPanel;
  TGroupBox *GroupBox21;
  TRadioButton *DemBits8;
  TRadioButton *DemBits24;
  TRadioButton *DemBits32;
  TGroupBox *GroupBox22;
  TEdit *DemAboveFactor;
  TEdit *DemBelowFactor;
  TLabel *Label54;
  TLabel *Label55;
  TButton *WriteDemContourMap;
  TRadioButton *DemSeaLevel0;
  TRadioButton *DemSeaLevel1;
  TRadioButton *DemSeaLevel2;
  TCheckBox *OutputVColors;
  TCheckBox *MultiMaterial;
  TCheckBox *RelocateTextures;
  TSpeedButton *ZeroAllZ;
  TCheckBox *OutputAvatar;
  TButton *TransferMultiMatKnight;
  TCheckBox *UseVertexFloatTransfer;
  TCheckBox *PartialTexturePath;
  TCheckBox *RemoveVertices;
  TPanel *Panel6;
  TButton *EraseLines1;
  TButton *EraseLines2;
  TButton *EraseClouds1;
  TButton *EraseClouds2;
  TPanel *Panel7;
  TButton *WatertightCheck;
  TCheckBox *NoIndent;
  TTabSheet *EditSheet;
  TEdit *EditGridSize;
  TButton *StartEditVertices;
  TButton *StopEditVertices;
  TButton *EditExtrudeStart;
  TButton *EditDragBox;
  TButton *EditPickVertex;
  TButton *EditPickAllVertices;
  TButton *EditPickEdge;
  TButton *EditNewEdge;
  TButton *EditDeleteVertex;
  TButton *EditDivideEdge;
  TButton *EditDragVerex;
  TButton *EditReduceVertices;
  TCheckBox *EditDisplayGrid;
  TCheckBox *EditSnapToGrid;
  TButton *EditFlipX;
  TButton *EditFlipY;
  TButton *EditFlipZ;
  TCheckBox *EditUpperFaces;
  TCheckBox *EditUpperBevels;
  TCheckBox *EditLowerFaces;
  TCheckBox *EditLowerBevels;
  TButton *EditMoveBevelZero;
  TButton *EditSwitch;
  TButton *EditOpenOutline;
  TButton *EditCloseOutline;
  TButton *EditExtrudeNow;
  TButton *EditPickSolid;
  TButton *EditPickWire;
  TButton *EditOtherSolid;
  TButton *EditOtherWire;
  TGroupBox *GroupBox23;
  TEdit *EditRotateXAngle;
  TEdit *EditRotateYAngle;
  TEdit *EditRotateZAngle;
  TButton *GetEditRotateAngles;
  TButton *SetEditRotateAngles;
  TEdit *EditRotateStepAngle;
  TButton *SetEditRotateXAngle1;
  TButton *SetEditRotateYAngle1;
  TButton *SetEditRotateZAngle1;
  TButton *SetEditRotateXAngle2;
  TButton *SetEditRotateYAngle2;
  TButton *SetEditRotateZAngle2;
  TGroupBox *GroupBox24;
  TEdit *EditScaleXFactor;
  TEdit *EditScaleYFactor;
  TEdit *EditScaleZFactor;
  TButton *GetEditScaleFactors;
  TButton *SetEditScaleFactors;
  TEdit *EditScaleStepFactor;
  TButton *SetEditScaleXFactor1;
  TButton *SetEditScaleYFactor1;
  TButton *SetEditScaleZFactor1;
  TButton *SetEditScaleXFactor2;
  TButton *SetEditScaleYFactor2;
  TButton *SetEditScaleZFactor2;
  TButton *EditRotateGroup;
  TButton *EditScaleGroup;
  TButton *EditRotateOkay;
  TButton *EditRotateCancel;
  TButton *EditScaleCancel;
  TButton *EditScaleOkay;
  TButton *SetEditScaleXYZFactor1;
  TButton *SetEditScaleXYZFactor2;
  TPanel *Panel8;
  TButton *EditPickGhost;
  TButton *EditGhostOkay;
  TButton *EditGhostCancel;
  TButton *EditGhostOn;
  TButton *EditGhostOff;
  TGroupBox *GroupBox25;
  TButton *EditPickModeFirst;
  TButton *EditPickModeConnected;
  TButton *EditPickModeAnywhere;
  TButton *EditPickModeErase;
  TButton *EditPickModeDeleteAll;
  TLabel *EditPickModeLabel;
  TPanel *Panel9;
  TRadioButton *EditLocalAxis;
  TRadioButton *EditWorldAxis;
  TGroupBox *GroupBox26;
  TButton *EditVertexSnapStart;
  TButton *EditVertexSnapShowAll;
  TButton *EditVertexSnapOkay;
  TButton *EditVertexSnapCancel;
  TButton *EditSwitchUpper;
  TButton *EditSwitchLower;
  TButton *EditUndoSelected;
  TButton *EditUndoLayer;
  TButton *EditUndoAllLayers;
  TPanel *Panel10;
  TButton *EditGetUpper;
  TButton *EditClearUpper;
  TButton *EditSetUpper;
  TButton *EditSetLower;
  TButton *EditClearLower;
  TButton *EditGetLower;
  TGroupBox *GroupBox27;
  TButton *ApplyBevels1;
  TButton *ApplyBevels2;
  TButton *ApplyBevels3;
  TCheckBox *EditDivide;
  TTabSheet *Convert1Sheet;
  TGroupBox *GroupBox28;
  TLabel *Label56;
  TLabel *Label57;
  TLabel *Label58;
  TEdit *Convert1_MinX;
  TEdit *Convert1_MinY;
  TEdit *Convert1_MinZ;
  TEdit *Convert1_MaxX;
  TEdit *Convert1_MaxY;
  TEdit *Convert1_MaxZ;
  TGroupBox *GroupBox29;
  TLabel *Label62;
  TLabel *Label63;
  TEdit *Convert1_XSpacing;
  TEdit *Convert1_YSpacing;
  TGroupBox *GroupBox30;
  TLabel *Label64;
  TLabel *Label65;
  TLabel *Label66;
  TEdit *Convert1_VertCount;
  TEdit *Convert1_YCount;
  TEdit *Convert1_XCount;
  TGroupBox *GroupBox31;
  TLabel *Label67;
  TLabel *Label68;
  TEdit *Convert1_NewSizeX;
  TEdit *Convert1_NewSizeY;
  TGroupBox *Stretch;
  TCheckBox *Convert1_FlagStretchX;
  TCheckBox *Convert1_FlagStretchY;
  TEdit *Convert1_EditStretchX;
  TEdit *Convert1_EditStretchY;
  TGroupBox *GroupBox32;
  TLabel *Label69;
  TLabel *Label70;
  TLabel *Label71;
  TRadioButton *Convert1_KeepOriginal;
  TRadioButton *Convert1_Landscape;
  TRadioButton *Convert1_Mesh;
  TCheckBox *Convert1_AddPointCloud;
  TEdit *Convert1_MeshVertices;
  TEdit *Convert1_MeshEdges;
  TEdit *Convert1_MeshTriangles;
  TCheckBox *Convert1_DropFaces;
  TCheckBox *Convert1_AddBase;
  TEdit *Convert1_BaseThickness;
  TCheckBox *Convert1_AddUV;
  TEdit *Convert1_DropElevation;
  TCheckBox *Convert1_WriteXYZ;
  TButton *Convert1_MeshToLandscape;
  TButton *Convert1_GetSize;
  TButton *Convert1_Calculate;
  TGroupBox *GroupBox33;
  TLabel *Label59;
  TLabel *Label60;
  TLabel *Label61;
  TEdit *Convert1_SizeZ;
  TEdit *Convert1_SizeY;
  TEdit *Convert1_SizeX;
  TGroupBox *GroupBox34;
  TButton *GetCameraViewPoint;
  TEdit *CameraXViewPoint;
  TEdit *CameraYViewPoint;
  TEdit *CameraZViewPoint;
  TButton *SetCameraViewPoint;
  TLabel *Label72;
  TEdit *CameraRotateSpeed;
  TButton *SetCameraRotateSpeed1;
  TButton *SetCameraRotateSpeed2;
  TGroupBox *GroupBox35;
  TSpeedButton *ViewCenterX;
  TSpeedButton *ViewCenterZ;
  TLabel *Label73;
  TLabel *Label74;
  TLabel *Label75;
  TButton *GetCameraInitialDistance;
  TEdit *CameraInitialDistance;
  TButton *SetCameraInitialDistance;
  TButton *GetCameraDistance;
  TEdit *CameraDistance;
  TButton *SetCameraDistance;
  TButton *GetCameraZoomSpeed;
  TEdit *CameraZoomSpeed;
  TButton *SetCameraZoomSpeed1;
  TButton *SetCameraZoomSpeed2;
  TButton *SetCameraZoomSpeed3;
  TButton *SetCameraZoomSpeed4;
  TButton *SetCameraZoomSpeed5;
  TButton *SetCameraZoomSpeed6;
  TSpeedButton *ZoomIn;
  TSpeedButton *ZoomOut;
  TSpeedButton *ZoomReset;
  TLabel *Label76;
  TGroupBox *GroupBox36;
  TButton *GetCameraFieldOfView;
  TEdit *CameraFieldOfView;
  TButton *SetCameraFieldOfView;
  TButton *SetCameraFOV1;
  TEdit *CameraStepFOV;  TButton *SetCameraFOV2;
  TCheckBox *EditSnapKeepRelative;
  TTabSheet *Extrude2DSheet;
  TGroupBox *GroupBox37;
  TLabel *Label77;
  TLabel *Label78;
  TLabel *Label79;
  TEdit *Extrude2D_MinX;
  TEdit *Extrude2D_MinY;
  TEdit *Extrude2D_MinZ;
  TEdit *Extrude2D_MaxX;
  TEdit *Extrude2D_MaxY;
  TEdit *Extrude2D_MaxZ;
  TPanel *Panel11;
  TLabel *Label81;
  TLabel *Label82;
  TSpeedButton *Extrude2D_Extrude;
  TSpeedButton *Extrude2D_Undo;
  TSpeedButton *Extrude2D_Redo;
  TEdit *Extrude2D_Thickness;
  TEdit *Extrude2D_AdjustLocation;
  TPanel *Panel12;
  TRadioButton *Extrude2D_Normal;
  TRadioButton *Extrude2D_FlatTop;
  TRadioButton *Extrude2D_FlatBottom;
  TButton *Extrude2D_Start;
  TButton *Extrude2D_Stop;
  TPanel *Panel13;
  TButton *Extrude2D_XRotate1;
  TButton *Extrude2D_YRotate1;
  TButton *Extrude2D_ZRotate1;
  TEdit *Extrude2D_StepAngle;
  TButton *Extrude2D_XRotate2;
  TButton *Extrude2D_YRotate2;
  TButton *Extrude2D_ZRotate2;
  TLabel *Label83;
  TLabel *Label84;
  TLabel *Label85;
  TEdit *Extrude2D_XRotation;
  TEdit *Extrude2D_YRotation;
  TEdit *Extrude2D_ZRotation;
  TSpeedButton *Extrude2D_MarkRotations;
  TSpeedButton *Extrude2D_ClearRotations;
  TEdit *Extrude2D_LayerName;
  TButton *Extrude2D_GetNextLayer;
  TCheckBox *OneLayerPerFile;
  TCheckBox *RotateAboutOrigin;
  TCheckBox *DrawObjectAxes;
  TPanel *Panel14;
  TEdit *EditName;
  TButton *EditSelectLayer;
  TGroupBox *GroupBox39;
  TButton *GetEditMoveVertex;
  TEdit *EditMoveVertexX;
  TEdit *EditMoveVertexY;
  TEdit *EditMoveVertexZ;
  TButton *SetEditMoveVertex;
  TButton *EditMoveVertexX1;
  TButton *EditMoveVertexY1;
  TButton *EditMoveVertexZ1;
  TEdit *EditMoveVertexStep;
  TButton *EditMoveVertexX2;
  TButton *EditMoveVertexY2;
  TButton *EditMoveVertexZ2;
  TTabSheet *XyzSheet;
  TCheckBox *XyzSkipDlg;
  TGroupBox *GroupBox41;
  TRadioButton *XyzMeshType;
  TRadioButton *XyzScanType;
  TGroupBox *GroupBox42;
  TRadioButton *XyzAsciiType;
  TRadioButton *XyzBinaryType;
  TGroupBox *GroupBox46;
  TLabel *Label80;
  TLabel *Label86;
  TEdit *XyzRows;
  TEdit *XyzColumns;
  TGroupBox *GroupBox47;
  TRadioButton *XyzByRow;
  TRadioButton *XyzByColumn;
  TCheckBox *XyzSaveAsDXF;
  TGroupBox *ClipGroup;
  TLabel *From;
  TLabel *pTo;
  TLabel *Rows1;
  TLabel *Columns1;
  TCheckBox *XyzReadClip;
  TEdit *XyzFromRow;
  TEdit *XyzFromColumn;
  TEdit *XyzToRow;
  TEdit *XyzToColumn;
  TGroupBox *GroupBox43;
  TGroupBox *GroupBox44;
  TRadioButton *XyzIntel;
  TRadioButton *XyzMotorola;
  TGroupBox *GroupBox45;
  TRadioButton *XyzFloatType;
  TRadioButton *XyzDoubleType;
  TGroupBox *AxisSystemGroup;
  TPanel *Panel15;
  TCheckBox *XyzScaleZ;
  TEdit *XyzScaleFactorZ;
  TGroupBox *XyzIdGroup;
  TCheckBox *XyzHasID;
  TCheckBox *XyzUseID;
  TPanel *Panel16;
  TCheckBox *XyzUseNoData;
  TEdit *XyzNoDataValue;
  TPanel *Panel17;
  TRadioButton *XyzNoDataReplace1;
  TRadioButton *XyzNoDataReplace2;
  TRadioButton *XyzNoDataReplace3;
  TEdit *XyzNoDataReplaceValue;
  TLabel *Label87;
  TRadioButton *XyzAxis1;
  TRadioButton *XyzAxis2;
  TRadioButton *XyzAxis3;
  TTabSheet *KerkytheaSheet;
  TGroupBox *GroupBox40;
  TLabel *Label88;
  TEdit *KerkytheaDirectionalMultiplier;
  TGroupBox *GroupBox48;
  TLabel *Label90;
  TLabel *Label91;
  TEdit *KerkytheaDirectionalFallOff;
  TEdit *KerkytheaDirectionalHotSpot;
  TGroupBox *GroupBox49;
  TLabel *Label92;
  TCheckBox *KerkytheaPointUp;
  TEdit *KerkytheaPointMultiplier;
  TGroupBox *GroupBox50;
  TLabel *Label94;
  TLabel *Label95;
  TEdit *KerkytheaPointFallOff;
  TEdit *KerkytheaPointHotSpot;
  TCheckBox *KerkytheaPointAsSpot;
  TGroupBox *GroupBox51;
  TLabel *Label96;
  TLabel *Label98;
  TEdit *KerkytheaSpotMultiplier;
  TGroupBox *GroupBox52;
  TLabel *Label99;
  TLabel *Label100;
  TEdit *KerkytheaSpotFallOff;
  TEdit *KerkytheaSpotHotSpot;
  TCheckBox *KerkytheaSpotReplace;
  TEdit *KerkytheaSpotHotFraction;
  TCheckBox *KerkytheaUseHotFraction;
  TGroupBox *GroupBox53;
  TRadioButton *KerkytheaDirectionalAsOmni;
  TRadioButton *KerkytheaDirectionalAsSun;
  TRadioButton *KerkytheaDirectionalAsSpot;
  TGroupBox *GroupBox54;
  TRadioButton *KerkytheaDirectionalAttenuation1;
  TRadioButton *KerkytheaDirectionalAttenuation2;
  TRadioButton *KerkytheaDirectionalAttenuation3;
  TGroupBox *GroupBox55;
  TRadioButton *KerkytheaPointAttenuation1;
  TRadioButton *KerkytheaPointAttenuation2;
  TRadioButton *KerkytheaPointAttenuation3;
  TGroupBox *GroupBox56;
  TRadioButton *KerkytheaSpotAttenuation1;
  TRadioButton *KerkytheaSpotAttenuation2;
  TRadioButton *KerkytheaSpotAttenuation3;
  TCheckBox *KerkytheaRadianceAsEmitter;
  TCheckBox *KerkytheaUseRadiance;
  TButton *KerkytheaGetData;
  TButton *KerkytheaSetData;
  TCheckBox *VrmlByChiefArchitect;
  TCheckBox *KerkytheaUsePngAlphaMasks;
  TGroupBox *GroupBox57;
  TRadioButton *VrmlTextNo;
  TRadioButton *VrmlTextFlat;
  TRadioButton *VrmlTextExtruded;
  TGroupBox *GroupBox58;
  TRadioButton *DxfTextNo;
  TRadioButton *DxfTextFlat;
  TRadioButton *DxfTextExtruded;
  TCheckBox *TextAsText;
  TEdit *KerkytheaDirectionalRadius;
  TLabel *Label89;
  TCheckBox *KerkytheaDirectionalShadow;
  TCheckBox *KerkytheaDirectionalSoftShadow;
  TCheckBox *KerkytheaDirectionalNegative;
  TCheckBox *KerkytheaDirectionalGlobalPhotons;
  TCheckBox *KerkytheaDirectionalCausticPhotons;
  TLabel *Label93;
  TEdit *KerkytheaPointRadius;
  TCheckBox *KerkytheaPointShadow;
  TCheckBox *KerkytheaPointSoftShadow;
  TCheckBox *KerkytheaPointNegative;
  TCheckBox *KerkytheaPointGlobalPhotons;
  TCheckBox *KerkytheaPointCausticPhotons;
  TLabel *Label97;
  TEdit *KerkytheaSpotRadius;
  TCheckBox *KerkytheaSpotShadow;
  TCheckBox *KerkytheaSpotSoftShadow;
  TCheckBox *KerkytheaSpotNegative;
  TCheckBox *KerkytheaSpotGlobalPhotons;
  TCheckBox *KerkytheaSpotCausticPhotons;
  TGroupBox *GroupBox38;
  TLabel *Label101;
  TLabel *Label102;
  TLabel *Label103;
  TEdit *StageDepth;
  TEdit *StageWidth;
  TEdit *StageGridSpacing;
  TLabel *Label104;
  TLabel *Label105;
  TEdit *StageOriginX;
  TEdit *StageOriginY;
  TCheckBox *DisplayStage;
  TCheckBox *StageUseOrigin;
  TCheckBox *StageUseSquares;
  TCheckBox *StageUseTexture;
  TButton *GetStageImage;
  TButton *ChangeStage;
  TGroupBox *GroupBox59;
  TButton *ReducePolygonsStart;
  TButton *ReducePolygonsOkay;
  TButton *ReducePolygonsCancel;
  TPanel *Panel18;
  TEdit *ReducePolygonsName;
  TButton *ReducePolygonsSelectLayer;
  TLabel *Label106;
  TLabel *Label107;
  TEdit *ReducePolygonsVertex0;
  TEdit *ReducePolygonsTriangle0;
  TEdit *ReducePolygonsVertex1;
  TEdit *ReducePolygonsTriangle1;
  TButton *ReducePolygonsSet;
  TButton *ReducePolygonsDecrease;
  TButton *ReducePolygonsIncrease;
  TEdit *ReducePolygonsStep;
  TGroupBox *GroupBox60;
  TCheckBox *DisplayBackgroundImage;
  TButton *SelectBackgroundImage;
  TButton *ReadAndRotate;
  TTabSheet *BitmapSheet;
  TGroupBox *GroupBox61;
  TGroupBox *GroupBox62;
  TCheckBox *BitmapTo3D_SkipDlg;
  TCheckBox *BitmapTo3D_Decode0;
  TCheckBox *BitmapTo3D_SaveOutlines;
  TCheckBox *BitmapTo3D_AddFaces;
  TCheckBox *BitmapTo3D_Extrude;
  TCheckBox *BitmapToDem_SkipDlg;
  TCheckBox *BitmapToDem_SeaLevel;
  TEdit *BitmapToDem_Multiplier1;
  TEdit *BitmapToDem_Multiplier2;
  TEdit *BitmapToDem_MinHeight;
  TEdit *BitmapToDem_Spacing;
  TLabel *Label108;
  TLabel *Label109;
  TLabel *Label110;
  TLabel *Label111;
  TEdit *BitmapTo3D_ExtrudeHeight;
  TLabel *Label112;
  TButton *EditMakeBevelSets;
  TButton *TextMakeBevelSets;
  TButton *TextSelectLayer;
  TEdit *TextLayerName;
  TGroupBox *GroupBox63;
  TCheckBox *ModoCameraSunlight;
  TCheckBox *ModoHierarchy;
  TCheckBox *ModoWithJoints;
  TCheckBox *TextureSearch;
  TGroupBox *GroupBox64;
  TButton *GetOglSnapshot;
  TPanel *TempSnapshotPanel;
  TGroupBox *GroupBox65;
  TLabel *Label113;
  TLabel *Label114;
  TLabel *Z;
  TEdit *RevolveCameraX;
  TEdit *RevolveCameraY;
  TEdit *RevolveCameraZ;
  TButton *RevolveCameraStart;
  TLabel *Label115;
  TEdit *RevolveCameraSeconds;
  TGroupBox *GroupBox66;
  TCheckBox *DisplayOglDebugMsgs;
  TButton *ShowStatusbar;
  TButton *HideStatusbar;
  TButton *RevolveCameaStop;
  TCheckBox *ReverseZoomDirection;
  TGroupBox *GroupBox67;
  TEdit *LayerMinMaxName;
  TButton *SelectFirstLayer;
  TGroupBox *GroupBox68;
  TLabel *Label116;
  TLabel *Label117;
  TLabel *Label118;
  TEdit *LayerMinZ;
  TEdit *LayerMinY;
  TEdit *LayerMinX;
  TEdit *LayerMaxX;
  TEdit *LayerMaxY;
  TEdit *LayerMaxZ;
  TButton *SelectNextLayer;
  TGroupBox *GroupBox69;
  TEdit *LayerCloudVerts;
  TEdit *LayerLineVerts;
  TEdit *LayerMeshVerts;
  TLabel *Label119;
  TLabel *Label120;
  TLabel *Label121;
  TPanel *Panel19;
  TLabel *Label122;
  TLabel *Label123;
  TEdit *LayerTriangles;
  TEdit *LayerLines;
  TGroupBox *GroupBox70;
  TButton *GetOglGlobalAmbient;
  TButton *SetOglGlobalAmbient;
  TEdit *OglGlobalAmbientRed;
  TEdit *OglGlobalAmbientGreen;
  TEdit *OglGlobalAmbientBlue;
  TEdit *OglGlobalAmbientAlpha;
  TLabel *Label124;
  TGroupBox *GroupBox71;
  TGroupBox *GroupBox72;
  TRadioButton *OglLight1;
  TRadioButton *OglLight2;
  TRadioButton *OglLight3;
  TRadioButton *OglLight4;
  TRadioButton *OglLight5;
  TRadioButton *OglLight6;
  TRadioButton *OglLight7;
  TRadioButton *OglLight0;
  TLabel *Label125;
  TLabel *Label126;
  TLabel *Label127;
  TLabel *Label128;
  TLabel *Label129;
  TEdit *OglLightAmbientRed;
  TEdit *OglLightAmbientGreen;
  TEdit *OglLightAmbientBlue;
  TEdit *OglLightAmbientAlpha;
  TLabel *Label130;
  TEdit *OglLightDiffuseRed;
  TEdit *OglLightDiffuseGreen;
  TEdit *OglLightDiffuseBlue;
  TEdit *OglLightDiffuseAlpha;
  TLabel *Label131;
  TEdit *OglLightSpecularRed;
  TEdit *OglLightSpecularGreen;
  TEdit *OglLightSpecularBlue;
  TEdit *OglLightSpecularAlpha;
  TLabel *Label132;
  TEdit *OglLightPositionX;
  TEdit *OglLightPositionY;
  TEdit *OglLightPositionZ;
  TButton *SetOglLight;
  TCheckBox *OglLightEnabled;
  TCheckBox *BitmapTo3D_JoinOutlines;
  TButton *Convert3D_To_2D;
  TTabSheet *KmlSheet;
  TGroupBox *GroupBox73;
  TLabel *Label133;
  TLabel *Label134;
  TEdit *KmlFolderName;
  TEdit *KmlFolderDescription;
  TGroupBox *GroupBox74;
  TLabel *Label135;
  TLabel *Label136;
  TEdit *KmlPlacemarkName;
  TEdit *KmlPlacemarkDescription;
  TGroupBox *GroupBox75;
  TLabel *Label137;
  TLabel *Label138;
  TLabel *Label139;
  TLabel *Label140;
  TLabel *Label141;
  TLabel *Label142;
  TEdit *KmlLookAtLatitudeDegrees;
  TEdit *KmlLookAtLatitudeMinutes;
  TEdit *KmlLookAtLatitudeSeconds;
  TEdit *KmlLookAtLongitudeDegrees;
  TEdit *KmlLookAtLongitudeMinutes;
  TEdit *KmlLookAtLongitudeSeconds;
  TEdit *KmlLookAtAltitude;
  TEdit *KmlLookAtHeading;
  TEdit *KmlLookAtTilt;
  TEdit *KmlLookAtRange;
  TComboBox *KmlLookAtAltitudeMode;
  TGroupBox *GroupBox76;
  TLabel *Label143;
  TLabel *Label144;
  TLabel *Label145;
  TLabel *Label146;
  TLabel *Label147;
  TLabel *Label148;
  TSpeedButton *KmlCopyLatitudeLongitude;
  TEdit *KmlModelLatitudeDegrees;
  TEdit *KmlModelLatitudeMinutes;
  TEdit *KmlModelLatitudeSeconds;
  TEdit *KmlModelLongitudeDegrees;
  TEdit *KmlModelLongitudeMinutes;
  TEdit *KmlModelLongitudeSeconds;
  TEdit *KmlModelAltitude;
  TEdit *KmlModelHeading;
  TEdit *KmlModelTilt;
  TEdit *KmlModelRoll;
  TComboBox *KmlModelAltitudeMode;
  TCheckBox *KmlUseModelsFolder;
  TCheckBox *KmlUseImagesFolder;
  TEdit *KmlModelsFolderName;
  TEdit *KmlImagesFolderName;
  TButton *KmlGetDataForDll;
  TCheckBox *KmlLookAtLatitudeSign;
  TCheckBox *KmlLookAtLongitudeSign;
  TCheckBox *KmlModelLatitudeSign;
  TCheckBox *KmlModelLongitudeSign;
  TPanel *ViewPanel;
  TCheckBox *ReversePanDirection;
  TCheckBox *GrabKeyboardFocus;
  TGroupBox *GroupBox77;
  TLabel *Label149;
  TEdit *RotateCameraSimulateX;
  TLabel *Label150;
  TEdit *RotateCameraSimulateY;
  TLabel *Label151;
  TEdit *RotateCameraSimulateSeconds;
  TButton *RotateCameraSimulateStart;
  TButton *RotateCameraSimulateStop;
  TCheckBox *AlwaysShowCameraCursor;
  TGroupBox *GroupBox78;
  TButton *TransferOutlines1;
  TButton *TransferOutlines2;
  TButton *TransferOutlines3;
  TCheckBox *ShowDebugStopMessages;
  TCheckBox *OutputHierarchy;
  TCheckBox *PauseAtOglSnapshotMsg;
  TButton *KmlGetDataFromDll;
  TLabel *Label152;
  TEdit *KmlModelScaleX;
  TLabel *Label153;
  TEdit *KmlModelScaleY;
  TLabel *Label154;
  TEdit *KmlModelScaleZ;
  TGroupBox *ColladaUpAxisGroup;
  TRadioButton *ColladaUpAxisX;
  TRadioButton *ColladaUpAxisY;
  TRadioButton *ColladaUpAxisZ;
  TButton *MakeAllLayersOpaque;
  TButton *SetWhiteForUvLayers;
  TButton *InvertAllLayerTransparencies;
  TCheckBox *CheckFixTransparencies;
  TCheckBox *KmzInputModelFactors;
  TCheckBox *AlwaysWriteColladaTransparency;
  TRadioButton *XyzDoubleZType;
  TButton *EditPickModeSwitchFirst;
  TGroupBox *GroupBox79;
  TEdit *MayaVersion;
  TButton *SetMayaVersion;
  TGroupBox *GroupBox80;
  TEdit *DirectxFramePrefix;
  TEdit *DirectxMaterialPrefix;
  TButton *SetDirectxFramePrefix;
  TButton *SetDirectxMaterialPrefix;
  TCheckBox *UseDirectxFramePrefix;
  TCheckBox *UseDirectxMaterialPrefix;
  TCheckBox *TextOnCurve;
  TCheckBox *TextOrigVerts;
  TCheckBox *TextAllChars;
  TCheckBox *TextReverseOutlines;
  TButton *ConvertUnicodeText;
  TGroupBox *GroupBox81;
  TEdit *TextUnicodeEdit;
  TButton *TextPaste;
  TCheckBox *VrmlMiterJointExtrusion;
  TGroupBox *GroupBox82;
  TEdit *NewEmbeddedName;
  TButton *RenameEmbeddedTextures;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ReadClick(TObject *Sender);
  void __fastcall ShowWindowClick(TObject *Sender);
  void __fastcall HideWindowClick(TObject *Sender);
  void __fastcall MoveWindow1Click(TObject *Sender);
  void __fastcall MoveWindow2Click(TObject *Sender);
  void __fastcall SizeWindow1Click(TObject *Sender);
  void __fastcall SizeWindow2Click(TObject *Sender);
  void __fastcall ClearClick(TObject *Sender);
  void __fastcall WriteClick(TObject *Sender);
  void __fastcall UseBBoxClick(TObject *Sender);
  void __fastcall UseWiresClick(TObject *Sender);
  void __fastcall ZoomInClick(TObject *Sender);
  void __fastcall ZoomOutClick(TObject *Sender);
  void __fastcall ZoomResetClick(TObject *Sender);
  void __fastcall ViewCenterXClick(TObject *Sender);
  void __fastcall ViewCenterZClick(TObject *Sender);
  void __fastcall ViewSolidClick(TObject *Sender);
  void __fastcall DrawWireframeClick(TObject *Sender);
  void __fastcall ParallelClick(TObject *Sender);
  void __fastcall PerspectiveClick(TObject *Sender);
  void __fastcall XYZOnClick(TObject *Sender);
  void __fastcall XYZOffClick(TObject *Sender);
  void __fastcall OnTopNoClick(TObject *Sender);
  void __fastcall OnTopYesClick(TObject *Sender);
  void __fastcall ViewShadedClick(TObject *Sender);
  void __fastcall ViewFrontClick(TObject *Sender);
  void __fastcall ViewBackClick(TObject *Sender);
  void __fastcall ViewRightClick(TObject *Sender);
  void __fastcall ViewLeftClick(TObject *Sender);
  void __fastcall ViewTopClick(TObject *Sender);
  void __fastcall ViewBottomClick(TObject *Sender);
  void __fastcall TransferFromClick(TObject *Sender);
  void __fastcall TransferClearClick(TObject *Sender);
  void __fastcall TransferToClick(TObject *Sender);
  void __fastcall TransferFreeClick(TObject *Sender);
  void __fastcall MakeQuadsClick(TObject *Sender);
  void __fastcall DeleteQuadsClick(TObject *Sender);
  void __fastcall ShowQuadsClick(TObject *Sender);
  void __fastcall HideQuadsClick(TObject *Sender);
  void __fastcall OutputQuadsClick(TObject *Sender);
  void __fastcall HiddenWireframeClick(TObject *Sender);
  void __fastcall AlignActivateClick(TObject *Sender);
  void __fastcall PresetNormalsClick(TObject *Sender);
  void __fastcall AlignShowAllClick(TObject *Sender);
  void __fastcall AlignFlipOneClick(TObject *Sender);
  void __fastcall SetAlignLayerClick(TObject *Sender);
  void __fastcall ConvertTextClick(TObject *Sender);
  void __fastcall TextSelectFontClick(TObject *Sender);
  void __fastcall TextFontDirectoryClick(TObject *Sender);
  void __fastcall TextOneLayerClick(TObject *Sender);
  void __fastcall TextMultipleLayersClick(TObject *Sender);
  void __fastcall TextCreateStencilClick(TObject *Sender);
  void __fastcall TextPlusCoreClick(TObject *Sender);
  void __fastcall TextPointsDownClick(TObject *Sender);
  void __fastcall TextPointsUpClick(TObject *Sender);
  void __fastcall TextReduceVerticesClick(TObject *Sender);
  void __fastcall TextJoinClick(TObject *Sender);
  void __fastcall TextFaceClick(TObject *Sender);
  void __fastcall TextExtrudeClick(TObject *Sender);
  void __fastcall MergeObjectsClick(TObject *Sender);
  void __fastcall ShowSecurityClick(TObject *Sender);
  void __fastcall DepthBufferOnClick(TObject *Sender);
  void __fastcall DepthBufferOffClick(TObject *Sender);
  void __fastcall MergeVerticesClick(TObject *Sender);
  void __fastcall DeleteLayerClick(TObject *Sender);
  void __fastcall FastTransferFromClick(TObject *Sender);
  void __fastcall FastTransferToClick(TObject *Sender);
  void __fastcall OutputUVClick(TObject *Sender);
  void __fastcall BufferReadClick(TObject *Sender);
  void __fastcall BufferWriteClick(TObject *Sender);
  void __fastcall RemoveFacesClick(TObject *Sender);
  void __fastcall UseOpenGLClick(TObject *Sender);
  void __fastcall OglLightsMaterialsClick(TObject *Sender);
  void __fastcall ParentWindowClick(TObject *Sender);
  void __fastcall UnparentWindowClick(TObject *Sender);
  void __fastcall FormPaint(TObject *Sender);
  void __fastcall DisplayTexturesClick(TObject *Sender);
  void __fastcall OglReplaceClick(TObject *Sender);
  void __fastcall UseWhiteBaseClick(TObject *Sender);
  void __fastcall MakeSmooth1Click(TObject *Sender);
  void __fastcall EraseSmooth1Click(TObject *Sender);
  void __fastcall MakeSmooth2Click(TObject *Sender);
  void __fastcall EraseSmooth2Click(TObject *Sender);
  void __fastcall OutputVNormalsClick(TObject *Sender);
  void __fastcall InComboChange(TObject *Sender);
  void __fastcall OutComboChange(TObject *Sender);
  void __fastcall TwoSidedLightingClick(TObject *Sender);
  void __fastcall CullBackFacesClick(TObject *Sender);
  void __fastcall Save2DLinesClick(TObject *Sender);
  void __fastcall RenderComboChange(TObject *Sender);
  void __fastcall GetCameraAnglesClick(TObject *Sender);
  void __fastcall SetCameraAnglesClick(TObject *Sender);
  void __fastcall SetCameraXAngle1Click(TObject *Sender);
  void __fastcall SetCameraXAngle2Click(TObject *Sender);
  void __fastcall SetCameraYAngle1Click(TObject *Sender);
  void __fastcall SetCameraYAngle2Click(TObject *Sender);
  void __fastcall SetCameraZAngle1Click(TObject *Sender);
  void __fastcall SetCameraZAngle2Click(TObject *Sender);
  void __fastcall GetCameraPanClick(TObject *Sender);
  void __fastcall SetCameraPanClick(TObject *Sender);
  void __fastcall SetCamerXPan1Click(TObject *Sender);
  void __fastcall SetCameraXPan2Click(TObject *Sender);
  void __fastcall SetCameraZPan1Click(TObject *Sender);
  void __fastcall SetCameraZPan2Click(TObject *Sender);
  void __fastcall GetMinMaxObjectClick(TObject *Sender);
  void __fastcall CopyXtoYZObjectClick(TObject *Sender);
  void __fastcall CalcCenterObjectClick(TObject *Sender);
  void __fastcall SetCenterObjectClick(TObject *Sender);
  void __fastcall SetMin1ObjectClick(TObject *Sender);
  void __fastcall SetMin2ObjectClick(TObject *Sender);
  void __fastcall SetMin3ObjectClick(TObject *Sender);
  void __fastcall DoScaleObjectClick(TObject *Sender);
  void __fastcall MirrorXObjectClick(TObject *Sender);
  void __fastcall MirrorYObjectClick(TObject *Sender);
  void __fastcall MirrorZObjectClick(TObject *Sender);
  void __fastcall RotateX1ObjectClick(TObject *Sender);
  void __fastcall RotateX2ObjectClick(TObject *Sender);
  void __fastcall RotateX3ObjectClick(TObject *Sender);
  void __fastcall RotateY1ObjectClick(TObject *Sender);
  void __fastcall RotateY2ObjectClick(TObject *Sender);
  void __fastcall RotateY3ObjectClick(TObject *Sender);
  void __fastcall RotateZ1ObjectClick(TObject *Sender);
  void __fastcall RotateZ2ObjectClick(TObject *Sender);
  void __fastcall RotateZ3ObjectClick(TObject *Sender);
  void __fastcall RotateXYZObjectClick(TObject *Sender);
  void __fastcall ShowReadMessagesClick(TObject *Sender);
  void __fastcall ShowSaveMessagesClick(TObject *Sender);
  void __fastcall GetDefaultMaterialsClick(TObject *Sender);
  void __fastcall ClearDefaultMaterialsClick(TObject *Sender);
  void __fastcall BackgroundComboChange(TObject *Sender);
  void __fastcall BackgroundGetClick(TObject *Sender);
  void __fastcall BackgroundSetClick(TObject *Sender);
  void __fastcall SpecialTransferFromClick(TObject *Sender);
  void __fastcall SpecialFastTransferFromClick(TObject *Sender);
  void __fastcall SpecialTransferToClick(TObject *Sender);
  void __fastcall SpecialFastTransferToClick(TObject *Sender);
  void __fastcall ColorPickerClick(TObject *Sender);
  void __fastcall GetDxfPenClick(TObject *Sender);
  void __fastcall TextureMatchClick(TObject *Sender);
  void __fastcall SaveTexturePathClick(TObject *Sender);
  void __fastcall TransferGreenKnightClick(TObject *Sender);
  void __fastcall TransferTextureSquare1Click(TObject *Sender);
  void __fastcall TransferTextureSquare2Click(TObject *Sender);
  void __fastcall TransferTextureSquare3Click(TObject *Sender);
  void __fastcall TransferRedKnightClick(TObject *Sender);
  void __fastcall TransferBlueKnightClick(TObject *Sender);
  void __fastcall TransferFromTypeFlag0Click(TObject *Sender);
  void __fastcall TransferFromTypeFlag1Click(TObject *Sender);
  void __fastcall TransferFromTypeFlag2Click(TObject *Sender);
  void __fastcall SavePointCloudsClick(TObject *Sender);
  void __fastcall MergeMaterialsClick(TObject *Sender);
  void __fastcall CreateUVClick(TObject *Sender);
  void __fastcall TextureTypeComboChange(TObject *Sender);
  void __fastcall RemoveUVClick(TObject *Sender);
  void __fastcall UVDialogClick(TObject *Sender);
  void __fastcall TransferBlueMonkClick(TObject *Sender);
  void __fastcall DoLayerFlipClick(TObject *Sender);
  void __fastcall Mesh3dmfClick(TObject *Sender);
  void __fastcall TriMesh3dmfClick(TObject *Sender);
  void __fastcall Triangle3dmfClick(TObject *Sender);
  void __fastcall Quad3dmfClick(TObject *Sender);
  void __fastcall TdmfPixel16Click(TObject *Sender);
  void __fastcall TdmfPixel24Click(TObject *Sender);
  void __fastcall TdmfPixel32Click(TObject *Sender);
  void __fastcall TransferGreenMonkClick(TObject *Sender);
  void __fastcall DefaultTextureClick(TObject *Sender);
  void __fastcall UseFilmstripClick(TObject *Sender);
  void __fastcall FilmstripTimerClick(TObject *Sender);
  void __fastcall AutoDivideLayersClick(TObject *Sender);
  void __fastcall UseAmbient1Click(TObject *Sender);
  void __fastcall UseDiffuse1Click(TObject *Sender);
  void __fastcall UseSpecular1Click(TObject *Sender);
  void __fastcall UseReflection1Click(TObject *Sender);
  void __fastcall UseTransparency1Click(TObject *Sender);
  void __fastcall GetDemoInfoClick(TObject *Sender);
  void __fastcall DemScrollXChange(TObject *Sender);
  void __fastcall DemScrollYChange(TObject *Sender);
  void __fastcall Image1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall DemBits8Click(TObject *Sender);
  void __fastcall DemBits24Click(TObject *Sender);
  void __fastcall DemBits32Click(TObject *Sender);
  void __fastcall DemSeaLevel0Click(TObject *Sender);
  void __fastcall DemSeaLevel1Click(TObject *Sender);
  void __fastcall DemSeaLevel2Click(TObject *Sender);
  void __fastcall WriteDemContourMapClick(TObject *Sender);
  void __fastcall OutputVColorsClick(TObject *Sender);
  void __fastcall MultiMaterialClick(TObject *Sender);
  void __fastcall RelocateTexturesClick(TObject *Sender);
  void __fastcall ZeroAllZClick(TObject *Sender);
  void __fastcall OutputAvatarClick(TObject *Sender);
  void __fastcall TransferMultiMatKnightClick(TObject *Sender);
  void __fastcall UseVertexFloatTransferClick(TObject *Sender);
  void __fastcall PartialTexturePathClick(TObject *Sender);       
  void __fastcall RemoveVerticesClick(TObject *Sender);
  void __fastcall EraseLines1Click(TObject *Sender);
  void __fastcall EraseLines2Click(TObject *Sender);
  void __fastcall EraseClouds1Click(TObject *Sender);
  void __fastcall EraseClouds2Click(TObject *Sender);
  void __fastcall WatertightCheckClick(TObject *Sender);
  void __fastcall NoIndentClick(TObject *Sender);
  void __fastcall StartEditVerticesClick(TObject *Sender);
  void __fastcall StopEditVerticesClick(TObject *Sender); 
  void __fastcall EditExtrudeStartClick(TObject *Sender);
  void __fastcall EditExtrudeNowClick(TObject *Sender);
  void __fastcall EditDragBoxClick(TObject *Sender);
  void __fastcall EditPickVertexClick(TObject *Sender);
  void __fastcall EditPickAllVerticesClick(TObject *Sender);
  void __fastcall EditPickEdgeClick(TObject *Sender);
  void __fastcall EditNewEdgeClick(TObject *Sender);
  void __fastcall EditDeleteVertexClick(TObject *Sender);
  void __fastcall EditDivideEdgeClick(TObject *Sender);
  void __fastcall EditDragVerexClick(TObject *Sender);
  void __fastcall EditFlipXClick(TObject *Sender);
  void __fastcall EditFlipYClick(TObject *Sender);
  void __fastcall EditFlipZClick(TObject *Sender);
  void __fastcall EditMoveBevelZeroClick(TObject *Sender);
  void __fastcall EditSwitchClick(TObject *Sender);
  void __fastcall EditOpenOutlineClick(TObject *Sender);
  void __fastcall EditCloseOutlineClick(TObject *Sender);
  void __fastcall EditPickSolidClick(TObject *Sender);
  void __fastcall EditPickWireClick(TObject *Sender);
  void __fastcall EditOtherSolidClick(TObject *Sender);
  void __fastcall EditOtherWireClick(TObject *Sender);
  void __fastcall GetEditRotateAnglesClick(TObject *Sender);
  void __fastcall SetEditRotateAnglesClick(TObject *Sender);
  void __fastcall SetEditRotateXAngle1Click(TObject *Sender);
  void __fastcall SetEditRotateXAngle2Click(TObject *Sender);
  void __fastcall SetEditRotateYAngle1Click(TObject *Sender);
  void __fastcall SetEditRotateYAngle2Click(TObject *Sender);
  void __fastcall SetEditRotateZAngle1Click(TObject *Sender);
  void __fastcall SetEditRotateZAngle2Click(TObject *Sender);
  void __fastcall EditRotateGroupClick(TObject *Sender);
  void __fastcall EditScaleGroupClick(TObject *Sender);
  void __fastcall GetEditScaleFactorsClick(TObject *Sender);
  void __fastcall SetEditScaleFactorsClick(TObject *Sender);
  void __fastcall SetEditScaleXFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleXFactor2Click(TObject *Sender);
  void __fastcall SetEditScaleYFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleYFactor2Click(TObject *Sender);
  void __fastcall SetEditScaleZFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleZFactor2Click(TObject *Sender);
  void __fastcall EditRotateOkayClick(TObject *Sender);
  void __fastcall EditRotateCancelClick(TObject *Sender);
  void __fastcall EditScaleOkayClick(TObject *Sender);
  void __fastcall EditScaleCancelClick(TObject *Sender);
  void __fastcall SetEditScaleXYZFactor1Click(TObject *Sender);
  void __fastcall SetEditScaleXYZFactor2Click(TObject *Sender);
  void __fastcall EditReduceVerticesClick(TObject *Sender);
  void __fastcall EditPickGhostClick(TObject *Sender);
  void __fastcall EditGhostOkayClick(TObject *Sender);
  void __fastcall EditGhostCancelClick(TObject *Sender);
  void __fastcall EditGhostOnClick(TObject *Sender);
  void __fastcall EditGhostOffClick(TObject *Sender);
  void __fastcall EditPickModeFirstClick(TObject *Sender);
  void __fastcall EditPickModeConnectedClick(TObject *Sender);
  void __fastcall EditPickModeAnywhereClick(TObject *Sender);
  void __fastcall EditPickModeEraseClick(TObject *Sender);
  void __fastcall EditPickModeDeleteAllClick(TObject *Sender);
  void __fastcall EditLocalAxisClick(TObject *Sender);
  void __fastcall EditWorldAxisClick(TObject *Sender);
  void __fastcall EditVertexSnapStartClick(TObject *Sender);
  void __fastcall EditVertexSnapShowAllClick(TObject *Sender);
  void __fastcall EditVertexSnapOkayClick(TObject *Sender);
  void __fastcall EditVertexSnapCancelClick(TObject *Sender);
  void __fastcall EditUpperFacesClick(TObject *Sender);
  void __fastcall EditUpperBevelsClick(TObject *Sender);
  void __fastcall EditLowerFacesClick(TObject *Sender);
  void __fastcall EditLowerBevelsClick(TObject *Sender);
  void __fastcall EditSwitchUpperClick(TObject *Sender);
  void __fastcall EditSwitchLowerClick(TObject *Sender);
  void __fastcall EditDisplayGridClick(TObject *Sender);
  void __fastcall EditSnapToGridClick(TObject *Sender);
  void __fastcall EditUndoSelectedClick(TObject *Sender);
  void __fastcall EditUndoLayerClick(TObject *Sender);
  void __fastcall EditUndoAllLayersClick(TObject *Sender);
  void __fastcall EditGetUpperClick(TObject *Sender);
  void __fastcall EditClearUpperClick(TObject *Sender);
  void __fastcall EditSetUpperClick(TObject *Sender);
  void __fastcall EditGetLowerClick(TObject *Sender);
  void __fastcall EditClearLowerClick(TObject *Sender);
  void __fastcall EditSetLowerClick(TObject *Sender);
  void __fastcall ApplyBevels1Click(TObject *Sender);
  void __fastcall ApplyBevels2Click(TObject *Sender);
  void __fastcall ApplyBevels3Click(TObject *Sender);
  void __fastcall EditDivideClick(TObject *Sender);
  void __fastcall Convert1_MeshToLandscapeClick(TObject *Sender);     
  void __fastcall Convert1_GetSizeClick(TObject *Sender);
  void __fastcall Convert1_CalculateClick(TObject *Sender);
  void __fastcall Convert1_FlagStretchXClick(TObject *Sender);
  void __fastcall Convert1_FlagStretchYClick(TObject *Sender);
  void __fastcall Convert1_KeepOriginalClick(TObject *Sender);
  void __fastcall Convert1_LandscapeClick(TObject *Sender);
  void __fastcall Convert1_MeshClick(TObject *Sender);
  void __fastcall Convert1_AddPointCloudClick(TObject *Sender);
  void __fastcall Convert1_DropFacesClick(TObject *Sender);
  void __fastcall Convert1_AddBaseClick(TObject *Sender);
  void __fastcall Convert1_AddUVClick(TObject *Sender);
  void __fastcall Convert1_WriteXYZClick(TObject *Sender);
  void __fastcall GetCameraViewPointClick(TObject *Sender);
  void __fastcall SetCameraViewPointClick(TObject *Sender);
  void __fastcall SetCameraRotateSpeed1Click(TObject *Sender);
  void __fastcall SetCameraRotateSpeed2Click(TObject *Sender);
  void __fastcall GetCameraInitialDistanceClick(TObject *Sender);
  void __fastcall SetCameraInitialDistanceClick(TObject *Sender);
  void __fastcall GetCameraDistanceClick(TObject *Sender);
  void __fastcall SetCameraDistanceClick(TObject *Sender);
  void __fastcall GetCameraZoomSpeedClick(TObject *Sender);
  void __fastcall SetCameraZoomSpeed1Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed2Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed3Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed4Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed5Click(TObject *Sender);
  void __fastcall SetCameraZoomSpeed6Click(TObject *Sender);
  void __fastcall GetCameraFieldOfViewClick(TObject *Sender);
  void __fastcall SetCameraFieldOfViewClick(TObject *Sender);
  void __fastcall SetCameraFOV1Click(TObject *Sender);
  void __fastcall SetCameraFOV2Click(TObject *Sender);
  void __fastcall EditSnapKeepRelativeClick(TObject *Sender);
  void __fastcall Extrude2D_StartClick(TObject *Sender);
  void __fastcall Extrude2D_NormalClick(TObject *Sender);
  void __fastcall Extrude2D_FlatTopClick(TObject *Sender);
  void __fastcall Extrude2D_FlatBottomClick(TObject *Sender);
  void __fastcall Extrude2D_MarkRotationsClick(TObject *Sender);
  void __fastcall Extrude2D_ClearRotationsClick(TObject *Sender);
  void __fastcall Extrude2D_ExtrudeClick(TObject *Sender);
  void __fastcall Extrude2D_RedoClick(TObject *Sender);
  void __fastcall Extrude2D_UndoClick(TObject *Sender);
  void __fastcall Extrude2D_StopClick(TObject *Sender);
  void __fastcall Extrude2D_XRotate1Click(TObject *Sender);
  void __fastcall Extrude2D_XRotate2Click(TObject *Sender);
  void __fastcall Extrude2D_YRotate1Click(TObject *Sender);
  void __fastcall Extrude2D_YRotate2Click(TObject *Sender);
  void __fastcall Extrude2D_ZRotate1Click(TObject *Sender);
  void __fastcall Extrude2D_ZRotate2Click(TObject *Sender);
  void __fastcall Extrude2D_GetNextLayerClick(TObject *Sender);
  void __fastcall OneLayerPerFileClick(TObject *Sender);
  void __fastcall RotateAboutOriginClick(TObject *Sender);
  void __fastcall DrawObjectAxesClick(TObject *Sender);
  void __fastcall EditSelectLayerClick(TObject *Sender);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall GetEditMoveVertexClick(TObject *Sender);
  void __fastcall SetEditMoveVertexClick(TObject *Sender);
  void __fastcall EditMoveVertexX1Click(TObject *Sender);
  void __fastcall EditMoveVertexX2Click(TObject *Sender);
  void __fastcall EditMoveVertexY1Click(TObject *Sender);
  void __fastcall EditMoveVertexY2Click(TObject *Sender);
  void __fastcall EditMoveVertexZ1Click(TObject *Sender);
  void __fastcall EditMoveVertexZ2Click(TObject *Sender);
  void __fastcall XyzSkipDlgClick(TObject *Sender);
  void __fastcall XyzMeshTypeClick(TObject *Sender);
  void __fastcall XyzScanTypeClick(TObject *Sender);
  void __fastcall XyzAsciiTypeClick(TObject *Sender);
  void __fastcall XyzBinaryTypeClick(TObject *Sender);
  void __fastcall XyzIntelClick(TObject *Sender);
  void __fastcall XyzMotorolaClick(TObject *Sender);
  void __fastcall XyzFloatTypeClick(TObject *Sender);
  void __fastcall XyzDoubleTypeClick(TObject *Sender);
  void __fastcall XyzByRowClick(TObject *Sender);
  void __fastcall XyzByColumnClick(TObject *Sender);
  void __fastcall XyzReadClipClick(TObject *Sender);
  void __fastcall XyzAxis1Click(TObject *Sender);
  void __fastcall XyzAxis2Click(TObject *Sender);
  void __fastcall XyzAxis3Click(TObject *Sender);
  void __fastcall XyzScaleZClick(TObject *Sender);
  void __fastcall XyzHasIDClick(TObject *Sender);
  void __fastcall XyzUseIDClick(TObject *Sender);
  void __fastcall XyzSaveAsDXFClick(TObject *Sender);
  void __fastcall XyzUseNoDataClick(TObject *Sender);
  void __fastcall XyzNoDataReplace1Click(TObject *Sender);
  void __fastcall XyzNoDataReplace2Click(TObject *Sender);
  void __fastcall XyzNoDataReplace3Click(TObject *Sender);
  void __fastcall KerkytheaUseRadianceClick(TObject *Sender);
  void __fastcall KerkytheaRadianceAsEmitterClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAsOmniClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAsSunClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAsSpotClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalAttenuation1Click(TObject *Sender);
  void __fastcall KerkytheaDirectionalAttenuation2Click(TObject *Sender);
  void __fastcall KerkytheaDirectionalAttenuation3Click(TObject *Sender);
  void __fastcall KerkytheaPointUpClick(TObject *Sender);
  void __fastcall KerkytheaPointAsSpotClick(TObject *Sender);
  void __fastcall KerkytheaPointAttenuation1Click(TObject *Sender);
  void __fastcall KerkytheaPointAttenuation2Click(TObject *Sender);
  void __fastcall KerkytheaPointAttenuation3Click(TObject *Sender);
  void __fastcall KerkytheaSpotAttenuation1Click(TObject *Sender);
  void __fastcall KerkytheaSpotAttenuation2Click(TObject *Sender);
  void __fastcall KerkytheaSpotAttenuation3Click(TObject *Sender);
  void __fastcall KerkytheaUseHotFractionClick(TObject *Sender);
  void __fastcall KerkytheaSpotReplaceClick(TObject *Sender);
  void __fastcall KerkytheaGetDataClick(TObject *Sender);
  void __fastcall KerkytheaSetDataClick(TObject *Sender);
  void __fastcall VrmlByChiefArchitectClick(TObject *Sender);
  void __fastcall KerkytheaUsePngAlphaMasksClick(TObject *Sender);
  void __fastcall VrmlTextNoClick(TObject *Sender);
  void __fastcall VrmlTextFlatClick(TObject *Sender);
  void __fastcall VrmlTextExtrudedClick(TObject *Sender);
  void __fastcall DxfTextNoClick(TObject *Sender);
  void __fastcall DxfTextFlatClick(TObject *Sender);
  void __fastcall DxfTextExtrudedClick(TObject *Sender);
  void __fastcall TextAsTextClick(TObject *Sender);             
  void __fastcall KerkytheaDirectionalShadowClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalSoftShadowClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalNegativeClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalGlobalPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaDirectionalCausticPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaPointShadowClick(TObject *Sender);
  void __fastcall KerkytheaPointSoftShadowClick(TObject *Sender);
  void __fastcall KerkytheaPointNegativeClick(TObject *Sender);
  void __fastcall KerkytheaPointGlobalPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaPointCausticPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaSpotShadowClick(TObject *Sender);
  void __fastcall KerkytheaSpotSoftShadowClick(TObject *Sender);
  void __fastcall KerkytheaSpotNegativeClick(TObject *Sender);
  void __fastcall KerkytheaSpotGlobalPhotonsClick(TObject *Sender);
  void __fastcall KerkytheaSpotCausticPhotonsClick(TObject *Sender);
  void __fastcall DisplayStageClick(TObject *Sender);
  void __fastcall StageUseOriginClick(TObject *Sender);
  void __fastcall StageUseSquaresClick(TObject *Sender);
  void __fastcall StageUseTextureClick(TObject *Sender);
  void __fastcall GetStageImageClick(TObject *Sender);
  void __fastcall ChangeStageClick(TObject *Sender);
  void __fastcall ReducePolygonsStartClick(TObject *Sender);
  void __fastcall ReducePolygonsSelectLayerClick(TObject *Sender);
  void __fastcall ReducePolygonsSetClick(TObject *Sender);
  void __fastcall ReducePolygonsDecreaseClick(TObject *Sender);
  void __fastcall ReducePolygonsIncreaseClick(TObject *Sender);
  void __fastcall ReducePolygonsOkayClick(TObject *Sender);
  void __fastcall ReducePolygonsCancelClick(TObject *Sender);
  void __fastcall DisplayBackgroundImageClick(TObject *Sender);
  void __fastcall SelectBackgroundImageClick(TObject *Sender);
  void __fastcall ReadAndRotateClick(TObject *Sender);
  void __fastcall BitmapTo3D_SkipDlgClick(TObject *Sender);    
  void __fastcall BitmapTo3D_Decode0Click(TObject *Sender);
  void __fastcall BitmapTo3D_SaveOutlinesClick(TObject *Sender);
  void __fastcall BitmapTo3D_AddFacesClick(TObject *Sender);
  void __fastcall BitmapTo3D_ExtrudeClick(TObject *Sender);
  void __fastcall BitmapToDem_SkipDlgClick(TObject *Sender);
  void __fastcall BitmapToDem_SeaLevelClick(TObject *Sender);
  void __fastcall EditMakeBevelSetsClick(TObject *Sender);
  void __fastcall TextMakeBevelSetsClick(TObject *Sender);
  void __fastcall TextSelectLayerClick(TObject *Sender);
  void __fastcall ModoCameraSunlightClick(TObject *Sender);
  void __fastcall ModoHierarchyClick(TObject *Sender);
  void __fastcall ModoWithJointsClick(TObject *Sender);
  void __fastcall TextureSearchClick(TObject *Sender);
  void __fastcall GetOglSnapshotClick(TObject *Sender);
  void __fastcall RevolveCameraStartClick(TObject *Sender);       
  void __fastcall DisplayOglDebugMsgsClick(TObject *Sender);
  void __fastcall ShowStatusbarClick(TObject *Sender);
  void __fastcall HideStatusbarClick(TObject *Sender);
  void __fastcall RevolveCameaStopClick(TObject *Sender);
  void __fastcall ReverseZoomDirectionClick(TObject *Sender);
  void __fastcall SelectFirstLayerClick(TObject *Sender);
  void __fastcall SelectNextLayerClick(TObject *Sender);
  void __fastcall GetOglGlobalAmbientClick(TObject *Sender);
  void __fastcall SetOglGlobalAmbientClick(TObject *Sender);
  void __fastcall OglLight0Click(TObject *Sender);
  void __fastcall OglLight1Click(TObject *Sender);
  void __fastcall OglLight2Click(TObject *Sender);
  void __fastcall OglLight3Click(TObject *Sender);
  void __fastcall OglLight4Click(TObject *Sender);
  void __fastcall OglLight5Click(TObject *Sender);
  void __fastcall OglLight6Click(TObject *Sender);
  void __fastcall OglLight7Click(TObject *Sender);
  void __fastcall SetOglLightClick(TObject *Sender);
  void __fastcall BitmapTo3D_JoinOutlinesClick(TObject *Sender);
  void __fastcall Convert3D_To_2DClick(TObject *Sender);
  void __fastcall KmlCopyLatitudeLongitudeClick(TObject *Sender);
  void __fastcall KmlGetDataForDllClick(TObject *Sender);
  void __fastcall KmlLookAtLatitudeSignClick(TObject *Sender);
  void __fastcall KmlLookAtLongitudeSignClick(TObject *Sender);
  void __fastcall KmlModelLatitudeSignClick(TObject *Sender);
  void __fastcall KmlModelLongitudeSignClick(TObject *Sender);
  void __fastcall KmlUseModelsFolderClick(TObject *Sender);
  void __fastcall KmlUseImagesFolderClick(TObject *Sender);
  void __fastcall KmlLookAtAltitudeModeChange(TObject *Sender);
  void __fastcall KmlModelAltitudeModeChange(TObject *Sender);
  void __fastcall ReversePanDirectionClick(TObject *Sender);
  void __fastcall GrabKeyboardFocusClick(TObject *Sender);
  void __fastcall RotateCameraSimulateStartClick(TObject *Sender);
  void __fastcall RotateCameraSimulateStopClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
  void __fastcall TransferOutlines1Click(TObject *Sender);
  void __fastcall TransferOutlines2Click(TObject *Sender);
  void __fastcall TransferOutlines3Click(TObject *Sender);
  void __fastcall ShowDebugStopMessagesClick(TObject *Sender);
  void __fastcall OutputHierarchyClick(TObject *Sender);
  void __fastcall PauseAtOglSnapshotMsgClick(TObject *Sender);
  void __fastcall KmlGetDataFromDllClick(TObject *Sender);
  void __fastcall ColladaUpAxisXClick(TObject *Sender);
  void __fastcall ColladaUpAxisYClick(TObject *Sender);
  void __fastcall ColladaUpAxisZClick(TObject *Sender);
  void __fastcall MakeAllLayersOpaqueClick(TObject *Sender);
  void __fastcall SetWhiteForUvLayersClick(TObject *Sender);
  void __fastcall InvertAllLayerTransparenciesClick(TObject *Sender);
  void __fastcall CheckFixTransparenciesClick(TObject *Sender);
  void __fastcall KmzInputModelFactorsClick(TObject *Sender);
  void __fastcall AlwaysWriteColladaTransparencyClick(TObject *Sender);
  void __fastcall XyzDoubleZTypeClick(TObject *Sender);
  void __fastcall EditPickModeSwitchFirstClick(TObject *Sender);
  void __fastcall SetMayaVersionClick(TObject *Sender);
  void __fastcall UseDirectxFramePrefixClick(TObject *Sender);
  void __fastcall SetDirectxFramePrefixClick(TObject *Sender);
  void __fastcall UseDirectxMaterialPrefixClick(TObject *Sender);
  void __fastcall SetDirectxMaterialPrefixClick(TObject *Sender);
  void __fastcall TextOnCurveClick(TObject *Sender);
  void __fastcall TextOrigVertsClick(TObject *Sender);
  void __fastcall TextAllCharsClick(TObject *Sender);
  void __fastcall TextReverseOutlinesClick(TObject *Sender);
  void __fastcall ConvertUnicodeTextClick(TObject *Sender);
  void __fastcall TextPasteClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall VrmlMiterJointExtrusionClick(TObject *Sender);
  void __fastcall RenameEmbeddedTexturesClick(TObject *Sender);
private:	// User declarations
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall DoConvertText(__int32 unicodeFlag);
  void __fastcall GetCameraStepAngle(void);
  void __fastcall GetCameraRotateSpeed(void);
  void __fastcall GetCameraStepFOV(void);
  void __fastcall GetCameraStepPan(void);
  void __fastcall GetEditXYZObject(void);
  void __fastcall GetEditRGB(void);
  void __fastcall SetEditRGB(void);
  void __fastcall GetEditTexture(void);
  void __fastcall SetEditTexture(void);
  void __fastcall GetDemClip(void);
  void __fastcall GetEditRotateStepAngle(void);
  void __fastcall GetEditScaleStepFactor(void);
  void __fastcall DisplayExtrudeBevelFlags(void);
  void __fastcall DisplayPickVertexMode(void);
  void __fastcall Extrude2D_Display_Layer_Settings(void);
  void __fastcall Extrude2D_Display_Mesh_Size(void);
  void __fastcall Extrude2D_Display_Rotations(void);
  void __fastcall Extrude2D_GetStepAngle(void);
  void __fastcall Extrude2D_Get_Thickness_Adjust(void);
  void __fastcall GetEditMoveVertexStep(void);
  void __fastcall Get_XYZ_Data(void);
  void __fastcall UpdateKerkytheaDisplay(void);
  void __fastcall ReducePolygonsDisplayData(void);
  void __fastcall ReducePolygonsGetVertices(void);
  void __fastcall ReducePolygonsGetStep(void);
  void __fastcall Get_BitmapTo3D_Data(void);
  void __fastcall Get_BitmapToLandscape_Data(void);
  void __fastcall GetOglLight(void);
  void __fastcall Update_KML_Page(void);
  void __fastcall Display_LookAt_Latitude_Longitude(void);
  void __fastcall Display_Model_Latitude_Longitude(void);
  void __fastcall Get_LookAt_Latitude_Longitude(void);
  void __fastcall Get_Model_Latitude_Longitude(void);
  void __fastcall Display_Latitude_Longitude_Signs(void);
  float red;
  float green;
  float blue;
  HWND dllParentHwnd;
public:		// User declarations
  __fastcall TTest_At3dx_DllForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TTest_At3dx_DllForm *Test_At3dx_DllForm;
//---------------------------------------------------------------------------
#endif
