//----------------------------------------------------------------------------
//  Project Test_At3dx_Read_Write
//  MicroMouse Productions
//  Copyright  2005-2012. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------
#ifndef Test_At3dx_Read_WriteAppH
#define Test_At3dx_Read_WriteAppH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_Read_Write : public TForm
{
__published:	// IDE-managed Components
  TButton *ReadWriteFile;
  TCheckBox *Save2DLines;
  TCheckBox *SaveUV;
  TCheckBox *SaveQuads;
  TGroupBox *GroupBox1;
  TCheckBox *MakeQuads;
  TLabel *Label1;
  TLabel *Label2;
  TEdit *AngleBetweenNormals;
  TEdit *AngleBetweenEdges;
  void __fastcall ReadWriteFileClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);      
  void __fastcall Save2DLinesClick(TObject *Sender);
  void __fastcall SaveUVClick(TObject *Sender);
  void __fastcall SaveQuadsClick(TObject *Sender);
  void __fastcall MakeQuadsClick(TObject *Sender);
private:	// User declarations
  void __fastcall Read_Write_3D_File(void);   
  char inName[MAX_PATH];
  int save2D_Flag;
  int saveUV_Flag;
  int saveQuads_Flag;
  int makeQuads_Flag;
  double angleBetweenNormals;
  double angleBetweenEdges;
public:		// User declarations
  __fastcall TTest_At3dx_Read_Write(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_Read_Write *Test_At3dx_Read_Write;
//---------------------------------------------------------------------------
#endif
